Page MenuHomePhabricator

API:Edit returns old content model on request that changes content model
Closed, ResolvedPublic

Description

When I changed a Flow board (flow-board) to wikitext, it worked, but returned the old content model( 'flow-board') in the API response.

Event Timeline

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to High.
Mattflaschen-WMF claimed this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 22 2015, 11:53 PM

Change 206121 had a related patch set uploaded (by Anomie):
ApiEditPage: Fetch content model from article, not title

https://gerrit.wikimedia.org/r/206121

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Apr 23 2015, 2:24 PM

Change 206121 merged by jenkins-bot:
ApiEditPage: Fetch content model from article, not title

https://gerrit.wikimedia.org/r/206121

Anomie closed this task as Resolved.Apr 25 2015, 12:16 PM
Anomie claimed this task.
Anomie added a subscriber: Anomie.

This should be deployed to WMF wikis with 1.26wmf4, see https://www.mediawiki.org/wiki/MediaWiki_1.26/Roadmap for the schedule.